1 Reply Latest reply on Jul 2, 2014 7:56 AM by Jianping Wang

    5.5 upgrade, Develop will not work, Lightroom develop disabled, please renew membership

    IKW1945

      5.5 upgrade, Develop will not work, Lightroom develop disabled, please renew membership,:- Why should I or what should I do?